c
c	gray.f 1.4 92/07/01 15:20:25
c
c  Copyright 1991 Intel Corporation, Inc.
c  See the "Copyright" file for complete rights and liability information.

      include 'fcube.h'

      integer i, j

c  Identify self.

      iam = mynode()

c  Node 0 does all the work.

      if(iam .eq. 0) then

         print *, 'Starting ...'

         i = 4

         write(*, 100) i, gray(i), ginv(i), ginv(gray(i))
100      format('For i =', i2, ', gray(i) =', i2, ', ginv(i) =', i2
     1          ', and ginv(gray(i)) =', i2)

      endif

      end
